<?php
include_once '../sys/inc/start.php';
dpanel::check_access();
$doc = new document(5);
$doc -> title = 'Параметры регистрации';

if (isset($_POST['save']))
{

// регистрация открыта
$dcms->reg_open=(int)!empty($_POST['reg_open']);
// подтверждение регистрации по email
$dcms->reg_with_mail=(int)!empty($_POST['reg_with_mail']);
// соглашение с правилами
$dcms->reg_with_rules=(int)!empty($_POST['reg_with_rules']);
// только по пригласительным
$dcms->reg_with_invite=(int)!empty($_POST['reg_with_invite']);


if ($dcms->save_settings())$doc->msg('Настройки успешно сохранены');
else $doc->err('Нет прав на запись в файл настроек');
}




$form = new design();
$form->assign('method','post');
$form->assign('action','?'.passgen());
$elements=array();

$elements[]=array('type'=>'checkbox', 'br'=>1,
'info'=>array('value'=>1,'checked'=>$dcms->reg_open, 'name'=>'reg_open', 'text'=>'Разрешить регистрацию'));

$elements[]=array('type'=>'checkbox', 'br'=>1,
'info'=>array('value'=>1,'checked'=>$dcms->reg_with_mail, 'name'=>'reg_with_mail', 'text'=>'Активация по E-mail'));

$elements[]=array('type'=>'checkbox', 'br'=>1,
'info'=>array('value'=>1,'checked'=>$dcms->reg_with_invite, 'name'=>'reg_with_invite', 'text'=>'Только по пригласительным'));

$elements[]=array('type'=>'checkbox', 'br'=>1,
'info'=>array('value'=>1,'checked'=>$dcms->reg_with_rules, 'name'=>'reg_with_rules', 'text'=>'Соглашение с правилами'));




$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('name'=>'save', 'value'=>'Применить')); // кнопка
$form->assign('el',$elements);
$form->display('input.form.tpl');



$doc->ret('Админка','/dpanel/');
?>
